version: "3.7"
services:
# container back-end da aplicação
  bemol_digital_back:
    container_name: bemol_digital_back
    build:
      context: .
      dockerfile: back-end.Dockerfile
    volumes:
      - php-dados:/var/www/html
    ports: 
      - 8000:80
    networks:
      - net-bemol-digital
    
  bemol_digital_banco:
    container_name: bemol_digital_banco
    image: mysql:5.6
    volumes:
      - data-base-mysql:/var/lib/mysql
    environment:
      - MYSQL_ROOT_PASSWORD=root
      - MYSQL_DATABASE=bemol_digital
    networks: 
      - net-bemol-digital

  bemol_digital_front:
    container_name: bemol_digital_front
    build:
      context: .
      dockerfile: front-end.Dockerfile
    ports: 
      - 8001:80
    networks:
      - net-bemol-digital

networks:
  net-bemol-digital:
    driver: bridge

volumes:
  data-base-mysql:
  php-dados: